| Haskell Hierarchical Libraries (fgl package) | Source code | Contents | Index

Data.Graph.Inductive.Internal.RootPath

Contents

Types
Operations

Description
Inward directed trees as lists of paths.
Synopsis

type RTree = [Path]
type LRTree a = [LPath a]
getPath :: Node -> RTree -> Path
getLPath :: Node -> LRTree a -> LPath a
getDistance :: Node -> LRTree a -> a
getLPathNodes :: Node -> LRTree a -> Path

Types
type RTree = [Path]
type LRTree a = [LPath a]
Operations
getPath :: Node -> RTree -> Path
getLPath :: Node -> LRTree a -> LPath a
getDistance :: Node -> LRTree a -> a
getLPathNodes :: Node -> LRTree a -> Path
Produced by Haddock version 0.8